Hello! Here is editorial!

**Editorial**

**Code**

Task B — Roman and lost numbers

**Editorial**

**code**

**Editorial**

**Code**

**Editorial**

**Code**

Task E — Roman and summer vacations

**Editorial**

**Code**

Task F — Roman and hard experiment

**Editorial**

**Code**

# | User | Rating |
---|---|---|

1 | tourist | 3697 |

2 | Benq | 3583 |

3 | Petr | 3522 |

4 | ecnerwala | 3467 |

5 | Radewoosh | 3466 |

6 | maroonrk | 3369 |

7 | Um_nik | 3358 |

8 | jiangly | 3330 |

9 | Miracle03 | 3314 |

10 | scott_wu | 3313 |

# | User | Contrib. |
---|---|---|

1 | 1-gon | 213 |

2 | Errichto | 190 |

3 | awoo | 188 |

4 | rng_58 | 187 |

5 | SecondThread | 186 |

6 | Um_nik | 179 |

7 | Ashishgup | 177 |

8 | maroonrk | 173 |

8 | vovuh | 173 |

10 | antontrygubO_o | 172 |

Hello! Here is editorial!

I want to make some comments. long long should not work, but I forgot to make 10^18 after testing. I see many WA, because trunk(ans) returns double, you shold return int. Many people asked me about divide by zero. But in statements you can see, that answer exists. Task is simple if you are using Python or int128 on C++.

Task B — Roman and lost numbers

At first, s >= uneven num, because min uneven is 1 and uneven sum of should be not less than s. At second, s % 2 must be same as uneven sum % 2, because only uneven can change parity. That's all

You should see, that we answer requests in real time. For 1-st type we add name to set. For 2-nd type we check if the name is in set.

It is standart task. For sum you should use segment tree or prefix sums. For max we should build ST for max. Now we should print sum(l, r) — max(l, r)

Task E — Roman and summer vacations

All you should do is to find Pascal triangle. Now we find his tier: n = i + j — 2 and number: k = j — 1. Find answer as n! / k! / (n — k)! by module $$$10^9$$$ + 7. We take factorial by module dynamically

Task F — Roman and hard experiment

You should use mathematically expectation formule and no more. Here is explanations for it: a person turn right wuth probability $$$a[i]$$$, and go straight with probability $$$100-a[i]$$$ .

↑

↓

Codeforces (c) Copyright 2010-2021 Mike Mirzayanov

The only programming contests Web 2.0 platform

Server time: Apr/13/2021 23:48:20 (j3).

Desktop version, switch to mobile version.

Supported by

User lists

Name |
---|

I'm sorry if you can not understand sth. I want sleep:)

I think "parse" should be replaced by "editorial" everywhere, is it a mistranslation?

Yes

Done!

When clicking on your hyperlink to codes, it gives me

`You're not allowed to view the requested page`

Register in contest

E was good. I was doing n(n-1)(n-2)..../2*3*4..mod 1e9+7 but that was wrong solution. Btw, what's the intuition behind the formula for i+j-2 for finding the nth row?

Edit: nvm I wasn't dividing properly for the above formula to work. Thanks for the contest learned inverse mod division.

You 're welcome

A very good contest for beginners.

Thank u!